diff --git a/pidgin/resources/Prefs/prefs.ui b/pidgin/resources/Prefs/prefs.ui
--- a/pidgin/resources/Prefs/prefs.ui
+++ b/pidgin/resources/Prefs/prefs.ui
@@ -1795,125 +1792,138 @@
                                       </packing>
                                     </child>
                                     <child>
+                                      <!-- n-columns=4 n-rows=3 -->
                                       <object class="GtkGrid" id="proxy.options">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
-                                        <property name="row_spacing">10</property>
-                                        <property name="column_spacing">5</property>
+                                        <property name="can-focus">False</property>
+                                        <property name="row-spacing">10</property>
+                                        <property name="column-spacing">5</property>
                                         <child>
                                           <object class="GtkLabel">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">False</property>
+                                            <property name="can-focus">False</property>
                                             <property name="label" translatable="yes">_Host:</property>
-                                            <property name="use_underline">True</property>
-                                            <property name="mnemonic_widget">proxy.host</property>
+                                            <property name="use-underline">True</property>
+                                            <property name="mnemonic-widget">proxy.host</property>
                                             <property name="xalign">1</property>
                                             <accessibility>
                                               <relation type="label-for" target="proxy.host"/>
                                             </accessibility>
                                           </object>
                                           <packing>
-                                            <property name="left_attach">0</property>
-                                            <property name="top_attach">0</property>
+                                            <property name="left-attach">0</property>
+                                            <property name="top-attach">0</property>
                                           </packing>
                                         </child>
                                         <child>
                                           <object class="GtkEntry" id="proxy.host">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">True</property>
+                                            <property name="can-focus">True</property>
                                             <signal name="changed" handler="proxy_print_option" object="PidginPrefsWindow" swapped="no"/>
                                           </object>
                                           <packing>
-                                            <property name="left_attach">1</property>
-                                            <property name="top_attach">0</property>
+                                            <property name="left-attach">1</property>
+                                            <property name="top-attach">0</property>
                                           </packing>
                                         </child>
                                         <child>
                                           <object class="GtkLabel">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">False</property>
+                                            <property name="can-focus">False</property>
                                             <property name="label" translatable="yes">P_ort:</property>
-                                            <property name="use_underline">True</property>
+                                            <property name="use-underline">True</property>
                                             <property name="xalign">1</property>
                                             <accessibility>
                                               <relation type="label-for" target="proxy.port"/>
                                             </accessibility>
                                           </object>
                                           <packing>
-                                            <property name="left_attach">2</property>
-                                            <property name="top_attach">0</property>
+                                            <property name="left-attach">2</property>
+                                            <property name="top-attach">0</property>
                                           </packing>
                                         </child>
                                         <child>
                                           <object class="GtkSpinButton" id="proxy.port">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">True</property>
+                                            <property name="can-focus">True</property>
                                             <property name="text" translatable="yes">0</property>
                                             <property name="adjustment">proxy.port.adjustment</property>
                                             <property name="numeric">True</property>
                                             <signal name="changed" handler="proxy_print_option" object="PidginPrefsWindow" swapped="no"/>
                                           </object>
                                           <packing>
-                                            <property name="left_attach">3</property>
-                                            <property name="top_attach">0</property>
+                                            <property name="left-attach">3</property>
+                                            <property name="top-attach">0</property>
                                           </packing>
                                         </child>
                                         <child>
                                           <object class="GtkLabel">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">False</property>
+                                            <property name="can-focus">False</property>
                                             <property name="label" translatable="yes">User_name:</property>
-                                            <property name="use_underline">True</property>
-                                            <property name="mnemonic_widget">proxy.username</property>
+                                            <property name="use-underline">True</property>
+                                            <property name="mnemonic-widget">proxy.username</property>
                                             <property name="xalign">1</property>
                                           </object>
                                           <packing>
-                                            <property name="left_attach">0</property>
-                                            <property name="top_attach">1</property>
+                                            <property name="left-attach">0</property>
+                                            <property name="top-attach">1</property>
                                           </packing>
                                         </child>
                                         <child>
                                           <object class="GtkEntry" id="proxy.username">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">True</property>
+                                            <property name="can-focus">True</property>
                                             <signal name="changed" handler="proxy_print_option" object="PidginPrefsWindow" swapped="no"/>
                                           </object>
                                           <packing>
-                                            <property name="left_attach">1</property>
-                                            <property name="top_attach">1</property>
+                                            <property name="left-attach">1</property>
+                                            <property name="top-attach">1</property>
                                           </packing>
                                         </child>
                                         <child>
                                           <object class="GtkLabel">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">False</property>
+                                            <property name="can-focus">False</property>
                                             <property name="label" translatable="yes">Pa_ssword:</property>
-                                            <property name="use_underline">True</property>
-                                            <property name="mnemonic_widget">proxy.password</property>
+                                            <property name="use-underline">True</property>
+                                            <property name="mnemonic-widget">proxy.password</property>
                                             <property name="xalign">1</property>
                                             <accessibility>
                                               <relation type="label-for" target="proxy.password"/>
                                             </accessibility>
                                           </object>
                                           <packing>
-                                            <property name="left_attach">2</property>
-                                            <property name="top_attach">1</property>
+                                            <property name="left-attach">2</property>
+                                            <property name="top-attach">1</property>
                                           </packing>
                                         </child>
                                         <child>
                                           <object class="GtkEntry" id="proxy.password">
                                             <property name="visible">True</property>
-                                            <property name="can_focus">True</property>
+                                            <property name="can-focus">True</property>
                                             <property name="visibility">False</property>
-                                            <property name="invisible_char">●</property>
-                                            <property name="input_purpose">password</property>
+                                            <property name="invisible-char">●</property>
+                                            <property name="input-purpose">password</property>
                                             <signal name="changed" handler="proxy_print_option" object="PidginPrefsWindow" swapped="no"/>
                                           </object>
                                           <packing>
-                                            <property name="left_attach">3</property>
-                                            <property name="top_attach">1</property>
+                                            <property name="left-attach">3</property>
+                                            <property name="top-attach">1</property>
                                           </packing>
                                         </child>
+                                        <child>
+                                          <placeholder/>
+                                        </child>
+                                        <child>
+                                          <placeholder/>
+                                        </child>
+                                        <child>
+                                          <placeholder/>
+                                        </child>
+                                        <child>
+                                          <placeholder/>
+                                        </child>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -1934,7 +1944,7 @@
                         <child type="label">
                           <object class="GtkLabel">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
+                            <property name="can-focus">False</property>
                             <property name="label" translatable="yes">Proxy Server</property>
                             <attributes>
                               <attribute name="weight" value="bold"/>
@@ -1958,36 +1968,36 @@
                 <child>
                   <object class="GtkBox" id="keyring.page">
                     <property name="visible">True</property>
-                    <property name="can_focus">False</property>
-                    <property name="border_width">12</property>
+                    <property name="can-focus">False</property>
+                    <property name="border-width">12</property>
                     <property name="orientation">vertical</property>
                     <property name="spacing">18</property>
                     <child>
                       <object class="GtkFrame">
                         <property name="visible">True</property>
-                        <property name="can_focus">False</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
+                        <property name="can-focus">False</property>
+                        <property name="label-xalign">0</property>
+                        <property name="shadow-type">none</property>
                         <child>
                           <object class="GtkAlignment">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
-                            <property name="left_padding">12</property>
+                            <property name="can-focus">False</property>
+                            <property name="left-padding">12</property>
                             <child>
                               <object class="GtkBox" id="keyring.vbox">
                                 <property name="visible">True</property>
-                                <property name="can_focus">False</property>
+                                <property name="can-focus">False</property>
                                 <property name="orientation">vertical</property>
                                 <property name="spacing">6</property>
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">Keyring:</property>
                                       </object>
                                       <packing>
@@ -1999,7 +2009,7 @@
                                     <child>
                                       <object class="GtkComboBox" id="keyring.active.combo">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="model">keyring.active.store</property>
                                         <child>
                                           <object class="GtkCellRendererText"/>
@@ -2028,8 +2038,8 @@
                         <child type="label">
                           <object class="GtkLabel">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
-                            <property name="margin_bottom">6</property>
+                            <property name="can-focus">False</property>
+                            <property name="margin-bottom">6</property>
                             <property name="label" translatable="yes">Keyring</property>
                             <attributes>
                               <attribute name="weight" value="bold"/>
@@ -2053,39 +2063,39 @@
                 <child>
                   <object class="GtkBox" id="away.page">
                     <property name="visible">True</property>
-                    <property name="can_focus">False</property>
-                    <property name="border_width">12</property>
+                    <property name="can-focus">False</property>
+                    <property name="border-width">12</property>
                     <property name="orientation">vertical</property>
                     <property name="spacing">18</property>
                     <child>
                       <object class="GtkFrame">
                         <property name="visible">True</property>
-                        <property name="can_focus">False</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
+                        <property name="can-focus">False</property>
+                        <property name="label-xalign">0</property>
+                        <property name="shadow-type">none</property>
                         <child>
                           <object class="GtkAlignment">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
-                            <property name="left_padding">12</property>
+                            <property name="can-focus">False</property>
+                            <property name="left-padding">12</property>
                             <child>
                               <object class="GtkBox">
                                 <property name="visible">True</property>
-                                <property name="can_focus">False</property>
+                                <property name="can-focus">False</property>
                                 <property name="orientation">vertical</property>
                                 <property name="spacing">6</property>
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel" id="label12">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">_Report idle time:</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="mnemonic_widget">away.idle_reporting.combo</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="mnemonic-widget">away.idle_reporting.combo</property>
                                         <property name="xalign">0</property>
                                       </object>
                                       <packing>
@@ -2097,7 +2107,7 @@
                                     <child>
                                       <object class="GtkComboBox" id="away.idle_reporting.combo">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="model">away.idle_reporting.store</property>
                                         <child>
                                           <object class="GtkCellRendererText"/>
@@ -2122,15 +2132,15 @@
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel" id="label13">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">_Minutes before becoming idle:</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="mnemonic_widget">away.mins_before_away</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="mnemonic-widget">away.mins_before_away</property>
                                         <property name="xalign">0</property>
                                       </object>
                                       <packing>
@@ -2142,7 +2152,7 @@
                                     <child>
                                       <object class="GtkSpinButton" id="away.mins_before_away">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
+                                        <property name="can-focus">True</property>
                                         <property name="adjustment">away.mins_before_away.adjustment</property>
                                         <property name="numeric">True</property>
                                       </object>
@@ -2162,16 +2172,16 @@
                                 <child>
                                   <object class="GtkBox" id="away.idle_hbox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkCheckButton" id="away.away_when_idle">
                                         <property name="label" translatable="yes">Change to this status when _idle:</property>
                                         <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="receives_default">False</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="draw_indicator">True</property>
+                                        <property name="can-focus">True</property>
+                                        <property name="receives-default">False</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="draw-indicator">True</property>
                                       </object>
                                       <packing>
                                         <property name="expand">False</property>
@@ -2196,7 +2206,7 @@
                         <child type="label">
                           <object class="GtkLabel">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
+                            <property name="can-focus">False</property>
                             <property name="label" translatable="yes">Idle</property>
                             <attributes>
                               <attribute name="weight" value="bold"/>
@@ -2213,31 +2223,31 @@
                     <child>
                       <object class="GtkFrame">
                         <property name="visible">True</property>
-                        <property name="can_focus">False</property>
-                        <property name="label_xalign">0</property>
-                        <property name="shadow_type">none</property>
+                        <property name="can-focus">False</property>
+                        <property name="label-xalign">0</property>
+                        <property name="shadow-type">none</property>
                         <child>
                           <object class="GtkAlignment">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
-                            <property name="left_padding">12</property>
+                            <property name="can-focus">False</property>
+                            <property name="left-padding">12</property>
                             <child>
                               <object class="GtkBox">
                                 <property name="visible">True</property>
-                                <property name="can_focus">False</property>
+                                <property name="can-focus">False</property>
                                 <property name="orientation">vertical</property>
                                 <child>
                                   <object class="GtkBox">
                                     <property name="visible">True</property>
-                                    <property name="can_focus">False</property>
+                                    <property name="can-focus">False</property>
                                     <property name="spacing">6</property>
                                     <child>
                                       <object class="GtkLabel" id="label14">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="label" translatable="yes">_Auto-reply:</property>
-                                        <property name="use_underline">True</property>
-                                        <property name="mnemonic_widget">away.auto_reply.combo</property>
+                                        <property name="use-underline">True</property>
+                                        <property name="mnemonic-widget">away.auto_reply.combo</property>
                                         <property name="xalign">0</property>
                                       </object>
                                       <packing>
@@ -2249,7 +2259,7 @@
                                     <child>
                                       <object class="GtkComboBox" id="away.auto_reply.combo">
                                         <property name="visible">True</property>
-                                        <property name="can_focus">False</property>
+                                        <property name="can-focus">False</property>
                                         <property name="model">away.auto_reply.store</property>
                                         <child>
                                           <object class="GtkCellRendererText"/>
@@ -2278,7 +2288,7 @@
                         <child type="label">
                           <object class="GtkLabel">
                             <property name="visible">True</property>
-                            <property name="can_focus">False</property>
+                            <property name="can-focus">False</property>
                             <property name="label" translatable="yes">Away</property>
                             <attributes>
                               <attribute name="weight" value="bold"/>
